function loginHint(e) {
	e.preventDefault();
	e.stopPropagation();

	// If username field is empty, inform user and exit function
	var uname = $("#login #username").val();
	if(uname == "") {
		alert("You have to enter a username to receive a password hint");
		return;
	}

	// POST username to the function /ajax/pwdhint which returns a json object with password hint
	$.post(
		// Replace with final production URL!!!

		"ajax/pwdhint",
		// Data sent through POST
		{ username: uname },

		// Callback function
		function(data) {
			var result = $.parseJSON(data)["hint"];

			// result["hint"] is either a boolean false or a string containing the hint
			if(result === false) {
				$("#hinttext").html('<p class="error">No password hint available</p>');
			} else {
				$("#hinttext").html('<p>Hint: ' + result + '</p>');
			}

			$("#login").toggleClass("expanded");
			$("#hinttext").toggle();

		}
	); // End $.post {}

} // End loginHint()